@import '../../_mixins.scss';

.superusers-listing {
  .superusers-listing__table {
    .status {
      padding: 2px 5px 2px 15px;
      border-radius: 3px;
      font-size: 11px;
      position: relative;

      &.status--Enabled {
        --status-color: green;
        border: 1px solid var(--status-color);
        color: var(--status-color);

        &::after {
          content: ' ';
          display: block;
          position: absolute;
          top: 5px;
          left: 4px;
          min-height: 6px;
          width: 9px;
          background: transparent;
          border-left: 2px solid var(--status-color);
          border-bottom: 2px solid var(--status-color);
          transform: rotate(-45deg);
        }
      }

      &.status--Disabled {
        --status-color: red;
        border: 1px solid var(--status-color);
        color: var(--status-color);

        &::after {
          content: ' ';
          position: absolute;
          top: 4px;
          left: 6px;
          width: 1px;
          height: 10px;
          border: 1px solid var(--status-color);
          transform: rotate(45deg);
        }

        &::before {
          content: ' ';
          position: absolute;
          top: 4px;
          left: 6px;
          width: 1px;
          height: 10px;
          border: 1px solid var(--status-color);
          transform: rotate(-45deg);
        }
      }
    }
  }

  .superusers-listing__actions {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px 0 0;
    background: white;
  }

  .superusers-listing__actions-search {
    padding: 5px 15px;
  }

  .square-btn.superusers-listing__actions-create.btn.btn-primary {
    margin-right: 5px;
  }
}

.edit-superuser-modal {
  .edit-superuser-modal__body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
}
